Bug 212601 - math/cryptominisat: Update to 5.0.1
Summary: math/cryptominisat: Update to 5.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-12 12:00 UTC by Gleb Popov
Modified: 2016-11-11 19:43 UTC (History)
0 users

See Also:


Attachments
Patch (3.84 KB, patch)
2016-09-12 12:00 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2016-09-12 12:00:19 UTC
Created attachment 174683 [details]
Patch
Comment 1 Dmitry Marakasov freebsd_committer 2016-09-13 19:36:41 UTC
Why have you changed the LICENSE? Some files are still under LGPL20 (only). You need to mention both MIT and LGPL20, add LICENSE_COMB=multi and set LICENSE_FILE_LGPL2 to ${WRKSRC}/LICENSE-SCALMC
Comment 2 Gleb Popov freebsd_committer 2016-09-14 06:10:26 UTC
(In reply to Dmitry Marakasov from comment #1)

In the comment for the release author states that he relicensed it to MIT: https://github.com/msoos/cryptominisat/releases/tag/5.0.1

But right, there is no sight of that change in sources. I can ask him to do it.
Comment 3 Dmitry Marakasov freebsd_committer 2016-10-05 20:23:56 UTC
(In reply to 6yearold from comment #2)
> (In reply to Dmitry Marakasov from comment #1)
> 
> In the comment for the release author states that he relicensed it to MIT:
> https://github.com/msoos/cryptominisat/releases/tag/5.0.1
> 
> But right, there is no sight of that change in sources. I can ask him to do
> it.

Please do. I don't like ambiguous state.
Comment 4 Gleb Popov freebsd_committer 2016-10-16 15:14:22 UTC
(In reply to Dmitry Marakasov from comment #3)

The author removed all license files from the repository, so the only way to find out the license is his site: https://www.msoos.org/2016/09/cryptominisat-5-0-1-released-with-mit-license/

I've filed a bug requsting him to add one, but i don't want it to block the update. Let's proceed with the current patch?
Comment 5 Dmitry Marakasov freebsd_committer 2016-11-11 19:43:06 UTC
(In reply to 6yearold from comment #4)

> The author removed all license files from the repository, so the only way to
> find out the license is his site:
> https://www.msoos.org/2016/09/cryptominisat-5-0-1-released-with-mit-license/
> 
> I've filed a bug requsting him to add one, but i don't want it to block the
> update. Let's proceed with the current patch?

LGPL20 still applies, so I've fixed licenses as I've suggested before.
Comment 6 commit-hook freebsd_committer 2016-11-11 19:43:39 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Nov 11 19:43:03 UTC 2016
New revision: 425907
URL: https://svnweb.freebsd.org/changeset/ports/425907

Log:
  - Update to 5.0.1

  PR:		212601
  Submitted by:	6yearold@gmail.com (maintainer)

Changes:
  head/math/cryptominisat/Makefile
  head/math/cryptominisat/distinfo
  head/math/cryptominisat/pkg-plist